Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225519 - CVE-2007-0452 Samba smbd denial of service
Summary: CVE-2007-0452 Samba smbd denial of service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard: reported=20070130,source=samba,impact...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 02:13 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0061
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 14:58:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0061 normal SHIPPED_LIVE Moderate: samba security update 2007-03-14 14:58:10 UTC

Description Josh Bressers 2007-01-31 02:13:44 UTC
+++ This bug was initially created as a clone of Bug #225513 +++

A bug has been found in Samba that can allow an authenticated user to cause a
child smbd process to enter an infinite loop.  The definition is rather
complicated so I'm going to paste the description from the upstream Samba advisory:

    Internally Samba's file server daemon, smbd, implements
    support for deferred file open calls in an attempt to serve
    client requests that would otherwise fail due to a share mode
    violation.  When renaming a file under certain circumstances
    it is possible that the request is never removed from the deferred
    open queue.  smbd will then become stuck is a loop trying to
    service the open request.

    This bug may allow an authenticated user to exhaust resources
    such as memory and CPU on the server by opening multiple CIFS
    sessions, each of which will normally spawn a new smbd process,
    and sending each connection into an infinite loop.

-- Additional comment from bressers@redhat.com on 2007-01-30 19:33 EST --
Created an attachment (id=146985)
Proposed upstream patch

Comment 2 Josh Bressers 2007-02-05 19:51:53 UTC
This flaw is now public:
http://us1.samba.org/samba/security/CVE-2007-0452.html

Comment 9 Red Hat Bugzilla 2007-03-14 14:58:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0061.html



Note You need to log in before you can comment on or make changes to this bug.